<!-- (C) 2016 Conviva, Inc. All rights reserved. Confidential and proprietary. -->
<!-- Kedar Marsada <kmarsada@conviva.com> -->
<!DOCTYPE HTML>
<html>
    <head>
        <script> document.cookie = 'auth=lol;samesite=strict'; </script>
        <script type="text/javascript" src="conviva/conviva-core-sdk.min.js"></script>
        <script type="text/javascript" src="conviva/conviva-html5native-impl.js"></script>
    </head>


    <style>
      #playerContainer{
        position: absolute;
        top: 15%;
        left: 15%;
        width: 75%;
        height: 75%;
      } 
        #player{
        position: inherit;
        width: 100%;
        height: 100%;
      }
    </style>

    <body>

      <div id="playerContainer">

        <div id="player"></div>
        
        <script type="text/javascript" src="app/configs.js"></script>
        <script type="text/javascript" src="app/NexHandshake.js"></script>

        <script type="text/javascript" src='https://nexplayer.nexplayersdk.com/MNC/nexplayer.js'> document.addEventListener("player", function (e) {
            e.preventDefault();
        }, false);</script>

        <script>


        var player = null;
        var videoElem = null;
        var NexConviva = null;

        var img = null;
        var title = null;

        var self = this;

        var url = 'https://d7wce5shv28x4.cloudfront.net/sample_streams/sintel_subtitles_hls/master.m3u8';
        url = 'https://media.axprod.net/Temp/Taavi/sintel/Clear/Manifest.mpd';

        function getQueryStrings() { 
          var assoc  = {};
          var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
          var queryString = location.search.substring(1); 
          var keyValues = queryString.split('&'); 

          for(var i in keyValues) { 
            var key = keyValues[i].split('=');
            if (key.length > 1) {
              assoc[decode(key[0])] = decode(key[1]);
            }
          } 

          return assoc;
        }

        var qs = getQueryStrings();
        var url = qs["url"];
        if (!url) { url = 'https://media.axprod.net/Temp/Taavi/sintel/Clear/Manifest.mpd';}
        url = url.replace("/transmovies/","/transmoviesnon/");        

        var img = qs["img"];
        if (!img) { img = null;}
        var assetName = qs["assetName"];
        if (!assetName) { assetName = 'Vision+ Video';}
        var viewerId = qs["viewerId"];
        if (!viewerId) { viewerId = '0';}
        var title = assetName;

        var CONTENT_TYPE = qs["CONTENT_TYPE"]
        if (!CONTENT_TYPE) 
            {CONTENT_TYPE  = 'CHANNEL_LIVE';}
        else if (CONTENT_TYPE == 'Channel')
            {CONTENT_TYPE  = 'CHANNEL_LIVE';}
        else if (CONTENT_TYPE == 'Series')
            {CONTENT_TYPE  = 'VOD_SERIES';}
        else if (CONTENT_TYPE == 'Movies')
            {CONTENT_TYPE  = 'VOD_MOVIE';}

        var CONTENT_DRM_STATUS = qs["CONTENT_DRM_STATUS"]
        if (!CONTENT_DRM_STATUS) { CONTENT_DRM_STATUS   = 'False';}
        var CONTENT_DRM_TYPE = qs["CONTENT_DRM_TYPE"]
        if (!CONTENT_DRM_TYPE) { CONTENT_DRM_TYPE    = 'NO_DRM';}
        var PLATFORM = qs["PLATFORM"]
        if (!PLATFORM) { CONTENT_DRM_TYPE    = 'OKEZONE';}
        var CATEGORY = qs["CATEGORY"]
        if (!CATEGORY) {CATEGORY = '';}
        var SUBCATEGORY = qs["SUBCATEGORY"]
        if (!SUBCATEGORY) {SUBCATEGORY = '';}
        
        // Init Conviva, create session...
        var loadModules = function() {

            NexConviva = new NexHandshake(videoElem, url, player.isLive(), true, assetName, viewerId);
            NexConviva.initConvivaClient();            
            NexConviva.createContentSession();

            // Get initial bitrate
            //console.log("Initial track", player.getCurrentTrack().bitrate / 1000); // "bitrate" property is in bits per seconds
            NexConviva.updateBitrateData(player.getCurrentTrack().bitrate / 1000);


            // Use this in order to update the bitrate data everytime a track changes
            player.on(nexplayer.Player.NexEvent.Track_Change, function() {

              //console.log("Change track", player.getCurrentTrack().bitrate / 1000); 
              // "bitrate" property is in bits per seconds
              NexConviva.updateBitrateData(player.getCurrentTrack().bitrate / 1000);

            });
         
            //custom tag
            NexConviva.createCustomTag("CONTENT_TYPE", CONTENT_TYPE, true);
            NexConviva.createCustomTag("CONTENT_DRM_STATUS", CONTENT_DRM_STATUS, true);
            NexConviva.createCustomTag("CONTENT_DRM_TYPE", CONTENT_DRM_TYPE, true);
            NexConviva.createCustomTag("CATEGORY", CATEGORY, true);
            NexConviva.createCustomTag("SUBCATEGORY", SUBCATEGORY, true);
            // It is neccessary to call this method to update the metadata on Conviva side
            NexConviva.updateContentMetadata();
        }


        var callBackWithPlayers = function (nexplayerInstance, videoElement) {

            console.log("Callback!");

            player = nexplayerInstance;
            videoElem = videoElement;

            videoElem.addEventListener("loadeddata", function() {
              
              //console.log("loaded data");

              loadModules();

            });

            setTimeout(() => {
                    player.setCurrentTrack(0); //0 is always the lowest quality profile
                }, 1000);
            player.enableABR();

        }


        nexplayer.Setup({

          key: '5c1cad9120bbb10718187352',
          div: document.getElementById('player'),
          callbacksForPlayer: callBackWithPlayers,  
          src: url,
          poster: img,      
          name: 'Vision+ : ' . concat(title), // Optional
          autoplay: true, // Optional
          mutedAtStart: true, // Optional
          disableKeyEvents: true,
          debug: true// Optional
          
        });
          

  </script>

  
</div>
      

	</body>
</html>
